# Download a report Download a transaction report. Download the report by applying the report-id from the List reports operation as a path parameter. Endpoint: GET /reports/download/{report-id} Security: Bearer ## Path parameters: - `report-id` (string, required) Unique identifier for a report. Get this report-id from the List reports operation. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" ## Response 200 fields (application/json): - `end_to_end_id` (string) The unique ID that the sender specifies. It persists on all RippleNet instances that participate in the payment. - `ripplenet_payment_id` (string) The unique payment identifier. Example: "70eccd4f-abcd-1234-a655-3aeddff19e4a" - `quote_ts` (string) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp of the quote. - `created_at` (string) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp when the transaction was created. Example: "2022-10-02T20:57:13.606Z" - `executed_at` (string) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) timestamp when the payment was settled. Example: "2022-10-02T20:57:20.62Z" - `sender_address` (string) RippleNet account name and address of the sender, in the format accountname@ripplenetaddress. Example: "new_york@rn.us.ny.new_york" - `sender_customer` (string) The name of the sending institution. Example: "examplecorp_sf" - `sent_amount` (number) The payment amount sent. Example: 40 - `sent_currency` (string) The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code of the of sent_amount. Example: "USD" - `receiver_address` (string) RippleNet account name and address of the receiver, in the format accountname@ripplenetaddress. Example: "new_york@rn.us.ny.new_york" - `receiver_customer` (string) Name of the receiving institution. Example: "sf" - `received_amount` (number) The payment amount received by the beneficiary. Example: 39.45 - `received_currency` (string) The [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code of the received_amount. Example: "PHP" - `payment_method` (string) [Sender only] Method for completing the payment. This is a freeform text field that accepts custom strings for payment methods, for example: - CSM_ID_IDR - MSISDN_ID_IDR - CASHPICKUP_ID_IDR - CARD_CN_CNY Or you can use RippleNet payment method values: - REAL_TIME_GROSS_SETTLEMENT_SYSTEM - REAL_TIME_NET_SETTLEMENT_SYSTEM - MASS_NET_PAYMENT_SYSTEM - BOOK_TRANSFER - CASH_PAYOUT - WALLET_PAYMENT - OTHER Example: "CSM_TH_THB" - `payment_state` (string) The state of a payment at the moment it is queried. Example: "COMPLETED" - `remitter_name` (string) Complete name of the person originating the payment. Note: Values are only viewable by the customer requesting the report. - `remitter_account` (string) Account number at the sending institution for the payment remitter. Note: Values are only viewable by the customer requesting the report. - `beneficiary_name` (string) Complete name of the person receiving the payment. Note: Values are only viewable by the customer requesting the report. - `beneficiary_account` (string) Account number at the receiving institution for the payment beneficiary. Note: Values are only viewable by the customer requesting the report. - `payment_batch_id` (string) Unique identifier for a batch of payments. Note: This field is only populated for payments that are part of a batch. ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 204 fields